Summary: 	A program for synchronizing files over a network
Name: 		rsync
Version: 	3.0.5
Release: 	1.8
Group: 		Applications/Internet
Source0: 	rsync-%{version}.tar.gz
Source1: 	rsync-patches-%{version}.tar.gz
Source2: 	rsync.xinetd
BuildRequires:  make automake gcc gcc-c++ libacl-devel libattr-devel autoconf popt-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
License: 	GPLv3+

%description
Rsync uses a reliable algorithm to bring remote and host files into
sync very quickly. Rsync is fast because it just sends the differences
in the files over the network instead of sending the complete
files. Rsync is often used as a very powerful mirroring process or
just as a more capable replacement for the rcp command. A technical
report which describes the rsync algorithm is included in this
package.

%prep
%setup -q
%setup -q -b 1

chmod -x support/*
patch -p1 -i patches/acls.diff
patch -p1 -i patches/xattrs.diff

%build
rm -fr autom4te.cache
autoconf
autoheader
%configure
make proto
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall INSTALLCMD='install -p' INSTALLMAN='install -p'
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING NEWS OLDNEWS README support/ tech_report.tex
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/rsyncd.conf.5*

%changelog
